### Method

# Camel Service dup_display_name

since: 3.12

#### Declaration [src]

    gchar*
    camel_service_dup_display_name (
      CamelService* service
    )

#### Description [src]

Thread-safe variation of camel_service_get_display_name(). Use this function when accessing `service` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.12

#### Return value

Type: `gchar*`

A newly-allocated copy of `CamelService:display-name`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.